using System;
using System.Drawing;

using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace UIToolbarButtonSample
{
	public partial class HomeScreen : UIViewController
	{
		public HomeScreen () : base ("HomeScreen", null)
		{
		}
		
		public override void DidReceiveMemoryWarning ()
		{
			// Releases the view if it doesn't have a superview.
			base.DidReceiveMemoryWarning ();
		}
		
		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			
			// Perform any additional setup after loading the view, typically from a nib.
			
			// Button One Event Handler	
			this.buttonOne.Clicked += (sender, e) => {		
				new UIAlertView ("Clicked", "Button One Clicked", null, "Ok", null).Show ();	
			};
			
			this.buttonTwo.Clicked += (sender, e) => {
				new UIAlertView ("Clicked", "Button Two Clicked", null, "Ok", null).Show ();	
			};
			
			this.buttonThree.Clicked += (sender, e) => {
				new UIAlertView ("Clicked", "Button Three Clicked", null, "Ok", null).Show ();	
			};
		}
		
		public override void ViewDidUnload ()
		{
			base.ViewDidUnload ();
			
			// Clear any references to subviews of the main view in order to
			// allow the Garbage Collector to collect them sooner.
			//
			// e.g. myOutlet.Dispose (); myOutlet = null;
			
			ReleaseDesignerOutlets ();
		}
		
		public override bool ShouldAutorotateToInterfaceOrientation (UIInterfaceOrientation toInterfaceOrientation)
		{
			// Return true for supported orientations
			return (toInterfaceOrientation != UIInterfaceOrientation.PortraitUpsideDown);
		}
	}
}

